#
# spec file for package libcares2 (Version 1.7.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://daniel.haxx.se/projects/c-ares
%define pkg_name c-ares

Name:           libcares2
Version:        1.7.1
Release:        2.1
License:        MIT License (or similar)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Libraries/C and C++
Summary:        Library for asynchronous name resolves
Source:         http://daniel.haxx.se/projects/c-ares/%{pkg_name}-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRequires:  pkg-config

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n libcares-devel
License:        MIT License (or similar)
Group:          Development/Libraries/C and C++
Summary:        Library for asynchronous name resolves
Requires:       %{name} = %{version} glibc-devel

%description -n libcares-devel
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%configure --enable-symbol-hiding --enable-nonblocking --enable-shared --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}
#there is no test suite atm
#check
#export MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256))
#{__make} %{?jobs:-j%jobs} check
#unset MALLOC_CHECK_ MALLOC_PERTURB_

%install
%{__make} install DESTDIR=%{buildroot}
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libcares.so.2*

%files -n libcares-devel
%defattr(-,root,root)
%{_libdir}/libcares.so
%{_includedir}/*.h
%{_mandir}/man3/ares_*
%{_libdir}/pkgconfig/libcares.pc

%changelog
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Wed Mar 24 2010 crrodriguez@opensuse.org
- update to version 1.7.1, includes IPV6 nameservers support
* Wed Mar 10 2010 crrodriguez@opensuse.org
- remove invalid configure options
* Mon Feb 22 2010 crrodriguez@opensuse.org
- fix build
- update to version 1.7.0, see RELEASE_NOTES for detail
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Sep 30 2009 crrodriguez@opensuse.org
- add gcc visibility support
* Mon Jan  5 2009 crrodriguez@suse.de
- update to version 1.6.0
  * Added support for the glibc "rotate" resolv.conf option (or ARES_OPT_ROTATE)
  * Added ares_gethostbyname_file()
  * Added ares_dup()
  * Added ares_set_socket_callback()
  * improved configure detection of several functions
  * improved source code portability
  * adig supports a regular numerical dotted IP address for the -s option
  * handling of EINPROGRESS for UDP connects
  * ares_parse_ptr_reply() would cause a buffer to shrink instead of expand if a
  reply contained 8 or more records
  * buildconf works on OS X
* Wed Sep  3 2008 crrodriguez@suse.de
- update to c-ares 1.5.3 final
  * address an issue in which a response could be sent back to the
  source port of a client from a different address than the request was made to.
  This is one form of a DNS cache poisoning attack.
  Only necessary on UDP sockets as they are connection-less, TCP
  is unaffected.
* Sat Aug  9 2008 crrodriguez@suse.de
- update to c-ares 1.5.3+20080809
  * users found that the second and subsequent DNS lookups from
    fresh processes using c-ares to resolve the same
  address would randomly cause the process to never see a reply.
* Sun Jun 15 2008 crrodriguez@suse.de
- update to version 1.5.2 final
  * code refactoring in ares_gethostbyaddr
  * improved checking of /dev/urandom in configure script
  * new sample application, acountry
  * improved MSVC6 dsp files
  * adig sample application supports NAPTR records
  * improved file seeding randomizer
  * improved parsing of resolver configuration files
  * updated configure script to remove autoconf 2.62 warnings
  * use monotonic time source if available
  * return all PTR-records when doing reverse lookups
  * millisecond resolution support for the timeout option
* Fri Apr 25 2008 crrodriguez@suse.de
- update to current c-ares from curl cvs
  * Eino Tuominen improved the code when a file is used to seed the randomizer.
  * Alexey Simak made adig support NAPTR records
  * Erik Kline cleaned up ares_gethostbyaddr.c:next_lookup() somewhat
  * add pkgconfig script
* Tue Apr 15 2008 ro@suse.de
- added baselibs.conf file for multilib support (libcurl4)
* Fri Nov 30 2007 crrodriguez@suse.de
- version 1.5.1
* Wed Aug  8 2007 crrodriguez@suse.de
- run ldconfig
